<template>
    <header>
        <div class="header_main_listing">
            <b-navbar toggleable="lg" type="dark">
                <b-navbar-brand :href="this.$parent.server_path">
                    <img :src="this.$parent.path+'images/college-logo.png?v=11'" alt="college logo" width="200" height="60" class="main-logo hidden-xs">
                </b-navbar-brand>

                <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>

                <b-collapse id="nav-collapse" is-nav>

                    <!-- Right aligned nav items -->
                    <b-navbar-nav class="ml-auto">
                        <b-nav-item :href="this.$parent.server_path+'off-campus-housing'" aria-label="listing page">Listings</b-nav-item>
                        <b-nav-item href="roommates" aria-label="roommates">Roommates</b-nav-item>
                        <b-nav-item href="subleases" aria-label="Sublease">Subleases</b-nav-item>
                        <!--<b-nav-item href="#">Guide</b-nav-item>-->
                        <b-nav-item :href="this.$parent.server_path+'favorites'" class="RC_fav_top d-md-block d-none">
                            <small class="count favCount">{{this.$parent.favCount}}</small>
                            <div class="sprite bg-heart"></div>
                        </b-nav-item>
                        
                        <b-nav-item v-if="this.$parent.username == ''" :href="this.$parent.server_path+'login/student'" aria-label="login page">Login</b-nav-item>
                        <b-dropdown v-else id="dropdown-1" :text="this.$parent.username" class="mx-0 br-0" variant="transparent nav-link br-0">
                            <b-dropdown-item :href="this.$parent.server_path+this.$parent.guard+'/'" aria-label="user account page">User Account</b-dropdown-item>
                            <b-dropdown-item :href="this.$parent.server_path+this.$parent.guard+'/change-password'" aria-label="change password page">Change Password</b-dropdown-item>
                            <b-dropdown-item :href="this.$parent.server_path+'logout'" aria-label="logout page">Logout</b-dropdown-item>
                        </b-dropdown>
                        <b-nav-item class="active" :href="this.$parent.server_path+'list'" aria-label="List With Us page">List With Us</b-nav-item>
                    </b-navbar-nav>
                </b-collapse>
            </b-navbar>
        </div>
    </header>
</template>

<style scoped>
    .br-0{border-radius: 0}
    .RC_fav_top .nav-link{padding: 20px 15px; position: relative;}
    .RC_fav_top .count {
        text-align: center;
        position: absolute;
        color: #fff;
        border-radius: 50%;
        right: 12px;
        display: flex;
        align-items: center;
        justify-content: center;
        top: 12px;
        width: 14px;
        height: 14px;
        font-size: 75%;
        padding: 0;
        background: #c1c1c1;
    }
    .bg-heart {
        width: 26px;
        height: 24px;
        background-position: -370px -306px !important;
    }
    .sprite {
        background: url(../../images/css_sprites_experiment.png?v=7);
        display: inline-block;
    }
    header{border-top: 5px solid #080808; background-color: #fff}
    .navbar-toggler  {
        margin: 8px 15px 8px 0;
        padding: 5px 10px;
        background-color: #24ce61;
        border: 1px solid transparent;
        border-radius: 4px;
    }
    .navbar-inverse .navbar-toggle {
        border: 0;
    }
    .header_main_listing nav .navbar-brand {
        max-width: 220px;
        height: auto;
    }
    .header_main_listing nav .navbar-brand img {
        max-width: 100%;
        height: auto;
    }
    .header_main_listing .navbar {  padding: 0 }
    .header_main_listing nav .navbar-brand{padding: 0 7px}
    .hide_login { display: none  }
    .header_main_listing .navbar-dark .navbar-nav .nav-item{padding: 0px;}

    .header_main_listing .navbar-dark .navbar-nav .nav-link {
        padding: 0.8vw 15px;
        color: #292928;
        text-shadow: 0 1px 0 rgba(255,255,255,.25);
        font-weight: 600;
        font-size: 0.875rem;
        line-height: 28px;
    }
    .header_main_listing .navbar-dark .navbar-nav .nav-item{line-height: 1.9;}
    .header_main_listing .navbar-dark .navbar-nav .nav-item:not(:first-child){border-left: 1px solid #EDEBEB}
    .header_main_listing .navbar-dark .navbar-nav .nav-item.active a{
        color: #23ce60;
    }
    .header_main_listing .navbar-dark .navbar-nav .nav-item.active a:hover{
        color: #fff;
    }
    .header_main_listing .navbar-dark .navbar-nav .nav-link:hover{
        background: #23ce60;
        color: #fff;
        background-repeat: repeat-x;
    }
    @media (min-width: 992px) and (max-width: 1200px){
        .header_main_listing .navbar-dark .navbar-nav .nav-item a{font-size: 13px; padding: 10px 15px;}
        .navbar-toggler{margin-top: 10px !important;padding: 5px !important;}
    }

</style>

<script>
    module.exports = {

        data: function () {
            return {}
        }
    };
</script>
